import pytest
from PyQt5.QtCore import pyqtSignal, QObject


class SignalObject(QObject):

    signal1 = pyqtSignal()


@pytest.mark.parametrize('signal, expected', [
    (SignalObject().signal1, 'signal1'),
])
def test_signal_name(signal, expected):
    print(repr(signal))
